### Function

# Dex aio_open

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_aio_open (
      DexAioContext* aio_context,
      const char* path,
      int flags,
      int mode
    )

#### Description [src]

An asynchronous `open()` wrapper.

Generally you want to provide `NULL` for the `aio_context` as that will get the default aio context for your scheduler.

The resulting future resolves to a file descriptor which can be consumed with `dex_await_fd()`.

Available since: 1.2

#### Parameters

`aio_context`

  Type: `DexAioContext`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`path`

  Type: `const char*`

  The path to open.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `int`

  Flags for `open()`.

`mode`

  Type: `int`

  Permissions to use when creating the file.

#### Return value

Type: `DexFuture`

A future that will resolve when the open completes or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.